import sys

from twisted.internet import reactor
from twisted.protocols import ftp

from u1ftp.portal import make_portal


def main(argv):
    portal = make_portal(
        reactor,
        base_url='https://one.ubuntu.com/api/file_storage/v1',
        content_base_url='https://files.one.ubuntu.com',
        sso_base_url='https://login.ubuntu.com/api/1.0/',
        sso_ping_url='https://one.ubuntu.com/oauth/sso-finished-so-get-tokens/')
    server = ftp.FTPFactory(portal)
    reactor.listenTCP(2121, server, interface='127.0.0.1')
    print 'Listening on ftp://127.0.0.1:2121/'
    reactor.run()


sys.exit(main(sys.argv))
